Katello - Bug #24126

Manifest upload Ul status bleeds into other orgs
07/02/2018 11:53 AM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee: Amir Fefer
Category: Subscriptions
Target version: Katello 3.9.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1596885 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/762
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1596885

Description of problem:
When uploading a manifest in an Org, and then switching to another org to do the same, user is greeted with the manifest upload
status bar from the previous org.

Version-Release number of selected component (if applicable):
6.4.0 snap 10

How reproducible:

Steps to Reproduce:

Create two orgs, "Org ABC" and "Org 123"

Switch to Org ABC

Content > Subscriptions > Manage Manifest

Upload Manifest; observe the expected status bar Ul
While manifest is uploading, switch to Org 123
Content > Subscriptions > Manage Manifest

oorLN~

Actual results:
The "Uploading %" status Ul from the first org appears on the page of the second org.

Expected results:
There should be no evidence of what's going on in one org, in a separate one. Org manifest handling should be wholly independent
and opaque across orgs.

Additional info:

Associated revisions

Revision dc7b4c78 - 09/20/2018 08:25 PM - Amir Fefer

Fixes #24126 - fix manifest tasks from bleeding to other orgs

History

#1 - 07/02/2018 11:54 AM - Tomas Strachota
- Category changed from 111 to Subscriptions

- Target version set to 253

#2 - 07/11/2018 05:54 PM - Justin Sherrill
- Target version set to Katello 3.7.1

- Triaged set to No
#3 - 07/29/2018 09:06 AM - Amir Fefer

- Assignee set to Amir Fefer

#4 - 07/30/2018 12:24 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7577 added

#5 - 08/13/2018 02:28 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/7621 added

#6 - 09/05/2018 11:11 AM - Tomas Strachota
- Team Backlog UX added

#7 - 09/06/2018 08:18 PM - Jonathon Turel
- Pull request deleted (https://github.com/Katello/katello/pull/7577)

#8 - 09/06/2018 08:19 PM - Jonathon Turel
- Target version changed from Katello 3.7.1 to 931

#9 - 09/20/2018 09:01 PM - Amir Fefer
- Status changed from Ready For Testing to Closed

Applied in changeset katello|dc7b4c78a05c7bda35f0b3496e2da5423b904091.

#10 - 10/29/2018 05:43 PM - Jonathon Turel
- Target version changed from 931 to Katello 3.9.0
